__kernel void matrix_add(__global const int *A, 
                         __global const int *B, 
                         __global int *C,
                         int n) {
    
    // Get the index of the current element to be processed
    int i = get_global_id(0);
    int j = get_global_id(1);

    if (i>=n || j>=n) return;
    
    // Do the operation
    C[i*n+j] = A[i*n+j] + B[i*n+j];
}
